VME Intensity Monitor - Feature #11729
Milestone # 11650 (Closed): Mar 2016 Release A - 201603A

201602A Replace Latch with ATR
02/15/2016 02:49 PM - Roger Tokarek

Status: Work in progress Start date:

Priority: High Due date:

Assignee: Elliott McCrory % Done: 90%
Category: Latch Estimated time: 80.00 hours
Target version: Spent time: 72.00 hours
Description

Replace the original Latch facility with ATR, "Arm Trigger Response". Latch was hardcoded, limited in device support and required
conditional compilation for each front end application. Further Latch was a misnomer since it is not general purpose and supported
latching data only under only a specific set of Acnet arm and trigger events.

Latch is replaced with three new classes. ATRMgr, which supports the arm, trigger and response behavior, ATRLatchDev which
supports data latching behavior for each ATR latch device, and ATRLatchAccessor which supports Acnet access to the latched
data.

See [[https://cdcvs.fnal.gov/redmine/projects/vmeint/wiki/ATR]] for a detailed explanation of the behavior of ATR.

Associated revisions

Revision 07b075d2 - 02/18/2016 10:18 AM - Roger Tokarek
Issue #11729 Intermediate step. Add ATR Support.

- Latch remains in code and active until testing is complete.
- Added map<> _monitorTable support to VMEInt in preparation for future use. No calls access it as yet.

History

#1 - 02/15/2016 02:56 PM - Roger Tokarek
- Subject changed from Replace Latch with ATR to 201602A Replace Latch with ATR

#2 - 02/18/2016 10:58 AM - Roger Tokarek
- % Done changed from 30 to 90
- Estimated time set to 80.00 h

Current Status
1. Added classes ATRMgr, ATRLatchDev, ATRLatchAccessor to VMEInt.
2. Compiles successfully with make and refdev.
3. Git commit 07b075 on local branch atr.
4. Latch facility remains active.

Next Steps

1. On successful ATR testing, Latch will be disabled.
2. On successful ATR operation in M10TOR, Latch will be removed.

#3 - 02/28/2016 11:30 AM - John Diamond
- Parent task changed from #11649 to #11650

#4 - 08/03/2016 10:31 AM - Roger Tokarek
- Status changed from New to Work in progress

- Priority changed from Normal to High

REQUIRES TESTING.Investigate using class CycleDevice* instead
#5 - 10/13/2016 02:27 PM - Elliott McCrory
- Assignee changed from Roger Tokarek to Elliott McCrory
